Index: kernel/tgb.cc
===================================================================
--- kernel/tgb.cc	(revision 410ea0fb1e22ebcb52e33b6789cf294a2d1f663b)
+++ kernel/tgb.cc	(revision db83bf13b62d944de021f52de5ae04b7ffd0390e)
@@ -40,9 +40,8 @@
 static omBin lm_bin = NULL;
 
-static void
-simplify_poly (poly p, ring r)
+static void simplify_poly (poly p, ring r)
 {
   assume (r == currRing);
-  if (!rField_is_Zp (r))
+  if(!rField_is_Zp (r))
   {
     p_Cleardenom (p, r);
@@ -55,12 +54,11 @@
 //static const BOOLEAN up_to_radical=TRUE;
 
-int
-slim_nsize (number n, ring r)
-{
-  if (rField_is_Zp (r))
+int slim_nsize (number n, ring r)
+{
+  if(rField_is_Zp (r))
   {
     return 1;
   }
-  if (rField_is_Q (r))
+  if(rField_is_Q (r))
   {
     return QlogSize (n);
@@ -72,13 +70,12 @@
 }
 
-static BOOLEAN
-monomial_root (poly m, ring r)
+static BOOLEAN monomial_root (poly m, ring r)
 {
   BOOLEAN changed = FALSE;
   int i;
-  for (i = 1; i <= rVar (r); i++)
+  for(i = 1; i <= rVar (r); i++)
   {
     int e = p_GetExp (m, i, r);
-    if (e > 1)
+    if(e > 1)
     {
       p_SetExp (m, i, 1, r);
@@ -86,5 +83,5 @@
     }
   }
-  if (changed)
+  if(changed)
   {
     p_Setm (m, r);
@@ -93,26 +90,25 @@
 }
 
-static BOOLEAN
-polynomial_root (poly h, ring r)
+static BOOLEAN polynomial_root (poly h, ring r)
 {
   poly got = gcd_of_terms (h, r);
   BOOLEAN changed = FALSE;
-  if ((got != NULL) && (TEST_V_UPTORADICAL))
+  if((got != NULL) && (TEST_V_UPTORADICAL))
   {
     poly copy = p_Copy (got, r);
     //p_wrp(got,c->r);
     changed = monomial_root (got, r);
-    if (changed)
+    if(changed)
     {
       poly div_by = pDivide (copy, got);
       poly iter = h;
-      while (iter)
-      {
-	pExpVectorSub (iter, div_by);
-	pIter (iter);
+      while(iter)
+      {
+        pExpVectorSub (iter, div_by);
+        pIter (iter);
       }
       p_Delete (&div_by, r);
-      if (TEST_OPT_PROT)
-	PrintS ("U");
+      if(TEST_OPT_PROT)
+        PrintS ("U");
     }
     p_Delete (&copy, r);
@@ -122,12 +118,10 @@
 }
 
-static inline poly
-p_Init_Special (const ring r)
+static inline poly p_Init_Special (const ring r)
 {
   return p_Init (r, lm_bin);
 }
 
-static inline poly
-pOne_Special (const ring r = currRing)
+static inline poly pOne_Special (const ring r = currRing)
 {
   poly rc = p_Init_Special (r);
@@ -147,12 +141,10 @@
 #ifdef LEN_VAR1
 // erste Variante: Laenge: Anzahl der Monome
-static inline int
-pSLength (poly p, int l)
+static inline int pSLength (poly p, int l)
 {
   return l;
 }
 
-static inline int
-kSBucketLength (kBucket * bucket, poly lm)
+static inline int kSBucketLength (kBucket * bucket, poly lm)
 {
   return bucket_guess (bucket);
@@ -162,9 +154,8 @@
 #ifdef LEN_VAR2
 // 2. Variante: Laenge: Platz fuer die Koeff.
-int
-pSLength (poly p, int l)
+int pSLength (poly p, int l)
 {
   int s = 0;
-  while (p != NULL)
+  while(p != NULL)
   {
     s += nSize (pGetCoeff (p));
@@ -174,10 +165,9 @@
 }
 
-int
-kSBucketLength (kBucket * b, poly lm)
+int kSBucketLength (kBucket * b, poly lm)
 {
   int s = 0;
   int i;
-  for (i = MAX_BUCKET; i >= 0; i--)
+  for(i = MAX_BUCKET; i >= 0; i--)
   {
     s += pSLength (b->buckets[i], 0);
@@ -187,11 +177,10 @@
 #endif
 
-int
-QlogSize (number n)
-{
-  if (SR_HDL (n) & SR_INT)
+int QlogSize (number n)
+{
+  if(SR_HDL (n) & SR_INT)
   {
     long i = SR_TO_INT (n);
-    if (i == 0)
+    if(i == 0)
       return 0;
 
@@ -200,5 +189,5 @@
     int r = 0;
 
-    while (v >>= 1)
+    while(v >>= 1)
     {
       r++;
@@ -211,10 +200,9 @@
 
 #ifdef LEN_VAR3
-static inline wlen_type
-pSLength (poly p, int l)
+static inline wlen_type pSLength (poly p, int l)
 {
   wlen_type c;
   number coef = pGetCoeff (p);
-  if (rField_is_Q (currRing))
+  if(rField_is_Q (currRing))
   {
     c = QlogSize (coef);
@@ -222,6 +210,8 @@
   else
     c = nSize (coef);
-  if (!(TEST_V_COEFSTRAT))
+  if(!(TEST_V_COEFSTRAT))
+  {
     return (wlen_type) c *(wlen_type) l /*pLength(p) */ ;
+  }
   else
   {
@@ -234,11 +224,10 @@
 
 //! TODO CoefBuckets bercksichtigen
-wlen_type
-kSBucketLength (kBucket * b, poly lm = NULL)
+wlen_type kSBucketLength (kBucket * b, poly lm = NULL)
 {
   int s = 0;
   wlen_type c;
   number coef;
-  if (lm == NULL)
+  if(lm == NULL)
     coef = pGetCoeff (kBucketGetLm (b));
   //c=nSize(pGetCoeff(kBucketGetLm(b)));
@@ -246,5 +235,5 @@
     coef = pGetCoeff (lm);
   //c=nSize(pGetCoeff(lm));
-  if (rField_is_Q (currRing))
+  if(rField_is_Q (currRing))
   {
     c = QlogSize (coef);
@@ -254,5 +243,5 @@
 
   int i;
-  for (i = b->buckets_used; i >= 0; i--)
+  for(i = b->buckets_used; i >= 0; i--)
   {
     assume ((b->buckets_length[i] == 0) || (b->buckets[i] != NULL));
@@ -261,7 +250,7 @@
 #ifdef HAVE_COEF_BUCKETS
   assume (b->buckets[0] == kBucketGetLm (b));
-  if (b->coef[0] != NULL)
-  {
-    if (rField_is_Q (currRing))
+  if(b->coef[0] != NULL)
+  {
+    if(rField_is_Q (currRing))
     {
       int modifier = QlogSize (pGetCoeff (b->coef[0]));
@@ -275,5 +264,5 @@
   }
 #endif
-  if (!(TEST_V_COEFSTRAT))
+  if(!(TEST_V_COEFSTRAT))
   {
     return s * c;
@@ -289,10 +278,9 @@
 #endif
 #ifdef LEN_VAR5
-static inline wlen_type
-pSLength (poly p, int l)
+static inline wlen_type pSLength (poly p, int l)
 {
   int c;
   number coef = pGetCoeff (p);
-  if (rField_is_Q (currRing))
+  if(rField_is_Q (currRing))
   {
     c = QlogSize (coef);
@@ -309,11 +297,10 @@
 
 //! TODO CoefBuckets bercksichtigen
-wlen_type
-kSBucketLength (kBucket * b, poly lm = NULL)
+wlen_type kSBucketLength (kBucket * b, poly lm = NULL)
 {
   wlen_type s = 0;
   int c;
   number coef;
-  if (lm == NULL)
+  if(lm == NULL)
     coef = pGetCoeff (kBucketGetLm (b));
   //c=nSize(pGetCoeff(kBucketGetLm(b)));
@@ -321,5 +308,5 @@
     coef = pGetCoeff (lm);
   //c=nSize(pGetCoeff(lm));
-  if (rField_is_Q (currRing))
+  if(rField_is_Q (currRing))
   {
     c = QlogSize (coef);
@@ -329,5 +316,5 @@
 
   int i;
-  for (i = b->buckets_used; i >= 0; i--)
+  for(i = b->buckets_used; i >= 0; i--)
   {
     assume ((b->buckets_length[i] == 0) || (b->buckets[i] != NULL));
@@ -336,7 +323,7 @@
 #ifdef HAVE_COEF_BUCKETS
   assume (b->buckets[0] == kBucketGetLm (b));
-  if (b->coef[0] != NULL)
-  {
-    if (rField_is_Q (currRing))
+  if(b->coef[0] != NULL)
+  {
+    if(rField_is_Q (currRing))
     {
       int modifier = QlogSize (pGetCoeff (b->coef[0]));
@@ -359,11 +346,10 @@
 #ifdef LEN_VAR4
 // 4.Variante: Laenge: Platz fuer Leitk * (1+Platz fuer andere Koeff.)
-int
-pSLength (poly p, int l)
+int pSLength (poly p, int l)
 {
   int s = 1;
   int c = nSize (pGetCoeff (p));
   pIter (p);
-  while (p != NULL)
+  while(p != NULL)
   {
     s += nSize (pGetCoeff (p));
@@ -373,13 +359,12 @@
 }
 
-int
-kSBucketLength (kBucket * b)
+int kSBucketLength (kBucket * b)
 {
   int s = 1;
   int c = nSize (pGetCoeff (kBucketGetLm (b)));
   int i;
-  for (i = MAX_BUCKET; i > 0; i--)
-  {
-    if (b->buckets[i] == NULL)
+  for(i = MAX_BUCKET; i > 0; i--)
+  {
+    if(b->buckets[i] == NULL)
       continue;
     s += pSLength (b->buckets[i], 0);
@@ -389,21 +374,20 @@
 #endif
 //BUG/TODO this stuff will fail on internal Schreyer orderings
-static BOOLEAN
-elength_is_normal_length (poly p, slimgb_alg * c)
+static BOOLEAN elength_is_normal_length (poly p, slimgb_alg * c)
 {
   ring r = c->r;
-  if (p_GetComp (p, r) != 0)
+  if(p_GetComp (p, r) != 0)
     return FALSE;
-  if (c->lastDpBlockStart <= pVariables)
+  if(c->lastDpBlockStart <= pVariables)
   {
     int i;
-    for (i = 1; i < c->lastDpBlockStart; i++)
-    {
-      if (p_GetExp (p, i, r) != 0)
-      {
-	break;
-      }
-    }
-    if (i >= c->lastDpBlockStart)
+    for(i = 1; i < c->lastDpBlockStart; i++)
+    {
+      if(p_GetExp (p, i, r) != 0)
+      {
+        break;
+      }
+    }
+    if(i >= c->lastDpBlockStart)
     {
       //wrp(p);
@@ -418,21 +402,20 @@
 }
 
-static BOOLEAN
-lies_in_last_dp_block (poly p, slimgb_alg * c)
+static BOOLEAN lies_in_last_dp_block (poly p, slimgb_alg * c)
 {
   ring r = c->r;
-  if (p_GetComp (p, r) != 0)
+  if(p_GetComp (p, r) != 0)
     return FALSE;
-  if (c->lastDpBlockStart <= pVariables)
+  if(c->lastDpBlockStart <= pVariables)
   {
     int i;
-    for (i = 1; i < c->lastDpBlockStart; i++)
-    {
-      if (p_GetExp (p, i, r) != 0)
-      {
-	break;
-      }
-    }
-    if (i >= c->lastDpBlockStart)
+    for(i = 1; i < c->lastDpBlockStart; i++)
+    {
+      if(p_GetExp (p, i, r) != 0)
+      {
+        break;
+      }
+    }
+    if(i >= c->lastDpBlockStart)
     {
       //wrp(p);
@@ -447,11 +430,10 @@
 }
 
-static int
-get_last_dp_block_start (ring r)
+static int get_last_dp_block_start (ring r)
 {
   //ring r=c->r;
   int last_block;
 
-  if (rRing_has_CompLastBlock (r))
+  if(rRing_has_CompLastBlock (r))
   {
     last_block = rBlocks (r) - 3;
@@ -462,17 +444,16 @@
   }
   assume (last_block >= 0);
-  if (r->order[last_block] == ringorder_dp)
+  if(r->order[last_block] == ringorder_dp)
     return r->block0[last_block];
   return pVariables + 1;
 }
 
-static wlen_type
-do_pELength (poly p, slimgb_alg * c, int dlm = -1)
-{
-  if (p == NULL)
+static wlen_type do_pELength (poly p, slimgb_alg * c, int dlm = -1)
+{
+  if(p == NULL)
     return 0;
   wlen_type s = 0;
   poly pi = p;
-  if (dlm < 0)
+  if(dlm < 0)
   {
     dlm = c->pTotaldegree (p);
@@ -481,8 +462,8 @@
   }
 
-  while (pi)
+  while(pi)
   {
     int d = c->pTotaldegree (pi);
-    if (d > dlm)
+    if(d > dlm)
       s += 1 + d - dlm;
     else
@@ -493,8 +474,7 @@
 }
 
-wlen_type
-pELength (poly p, slimgb_alg * c, ring r)
-{
-  if (p == NULL)
+wlen_type pELength (poly p, slimgb_alg * c, ring r)
+{
+  if(p == NULL)
     return 0;
   wlen_type s = 0;
@@ -505,8 +485,8 @@
   pi = p->next;
 
-  while (pi)
+  while(pi)
   {
     int d = c->pTotaldegree (pi);
-    if (d > dlm)
+    if(d > dlm)
       s += 1 + d - dlm;
     else
@@ -517,15 +497,14 @@
 }
 
-wlen_type
-kEBucketLength (kBucket * b, poly lm, int sugar, slimgb_alg * ca)
+wlen_type kEBucketLength (kBucket * b, poly lm, int sugar, slimgb_alg * ca)
 {
   wlen_type s = 0;
-  if (lm == NULL)
+  if(lm == NULL)
   {
     lm = kBucketGetLm (b);
   }
-  if (lm == NULL)
+  if(lm == NULL)
     return 0;
-  if (elength_is_normal_length (lm, ca))
+  if(elength_is_normal_length (lm, ca))
   {
     return bucket_guess (b);
@@ -540,11 +519,11 @@
   //int d=pTotaldegree(lm,ca->r);
   int i;
-  for (i = b->buckets_used; i >= 0; i--)
-  {
-    if (b->buckets[i] == NULL)
+  for(i = b->buckets_used; i >= 0; i--)
+  {
+    if(b->buckets[i] == NULL)
       continue;
 
-    if ((ca->pTotaldegree (b->buckets[i]) <= d)
-	&& (elength_is_normal_length (b->buckets[i], ca)))
+    if((ca->pTotaldegree (b->buckets[i]) <= d)
+       && (elength_is_normal_length (b->buckets[i], ca)))
     {
       s += b->buckets_length[i];
@@ -559,34 +538,32 @@
 }
 
-static inline int
-pELength (poly p, slimgb_alg * c, int l)
-{
-  if (p == NULL)
+static inline int pELength (poly p, slimgb_alg * c, int l)
+{
+  if(p == NULL)
     return 0;
-  if ((l > 0) && (elength_is_normal_length (p, c)))
+  if((l > 0) && (elength_is_normal_length (p, c)))
     return l;
   return do_pELength (p, c);
 }
 
-static inline wlen_type
-pQuality (poly p, slimgb_alg * c, int l = -1)
-{
-  if (l < 0)
+static inline wlen_type pQuality (poly p, slimgb_alg * c, int l = -1)
+{
+  if(l < 0)
     l = pLength (p);
-  if (c->isDifficultField)
-  {
-    if (c->eliminationProblem)
+  if(c->isDifficultField)
+  {
+    if(c->eliminationProblem)
     {
       wlen_type cs;
       number coef = pGetCoeff (p);
-      if (rField_is_Q (currRing))
-      {
-	cs = QlogSize (coef);
+      if(rField_is_Q (currRing))
+      {
+        cs = QlogSize (coef);
       }
       else
-	cs = nSize (coef);
+        cs = nSize (coef);
       wlen_type erg = cs;
-      if (TEST_V_COEFSTRAT)
-	erg *= cs;
+      if(TEST_V_COEFSTRAT)
+        erg *= cs;
       //erg*=cs;//for quadratic
       erg *= pELength (p, c, l);
@@ -600,14 +577,13 @@
     return r;
   }
-  if (c->eliminationProblem)
+  if(c->eliminationProblem)
     return pELength (p, c, l);
   return l;
 }
 
-static inline int
-pTotaldegree_full (poly p)
+static inline int pTotaldegree_full (poly p)
 {
   int r = 0;
-  while (p)
+  while(p)
   {
     int d = pTotaldegree (p);
@@ -618,14 +594,13 @@
 }
 
-wlen_type
-red_object::guess_quality (slimgb_alg * c)
+wlen_type red_object::guess_quality (slimgb_alg * c)
 {
   //works at the moment only for lenvar 1, because in different
   //case, you have to look on coefs
   wlen_type s = 0;
-  if (c->isDifficultField)
+  if(c->isDifficultField)
   {
     //s=kSBucketLength(bucket,this->p);
-    if (c->eliminationProblem)
+    if(c->eliminationProblem)
     {
       wlen_type cs;
@@ -636,23 +611,23 @@
 
       //c=nSize(pGetCoeff(lm));
-      if (rField_is_Q (currRing))
-      {
-	cs = QlogSize (coef);
+      if(rField_is_Q (currRing))
+      {
+        cs = QlogSize (coef);
       }
       else
-	cs = nSize (coef);
+        cs = nSize (coef);
 #ifdef HAVE_COEF_BUCKETS
-      if (bucket->coef[0] != NULL)
-      {
-	if (rField_is_Q (currRing))
-	{
-	  int modifier = QlogSize (pGetCoeff (bucket->coef[0]));
-	  cs += modifier;
-	}
-	else
-	{
-	  int modifier = nSize (pGetCoeff (bucket->coef[0]));
-	  cs *= modifier;
-	}
+      if(bucket->coef[0] != NULL)
+      {
+        if(rField_is_Q (currRing))
+        {
+          int modifier = QlogSize (pGetCoeff (bucket->coef[0]));
+          cs += modifier;
+        }
+        else
+        {
+          int modifier = nSize (pGetCoeff (bucket->coef[0]));
+          cs *= modifier;
+        }
       }
 #endif
@@ -661,6 +636,6 @@
       //erg*=cs;//for quadratic
       erg *= cs;
-      if (TEST_V_COEFSTRAT)
-	erg *= cs;
+      if(TEST_V_COEFSTRAT)
+        erg *= cs;
       //return cs*kEBucketLength(this->bucket,this->p,c);
       return erg;
@@ -670,5 +645,5 @@
   else
   {
-    if (c->eliminationProblem)
+    if(c->eliminationProblem)
       //if (false)
       s = kEBucketLength (this->bucket, this->p, this->sugar, c);
@@ -679,14 +654,12 @@
 }
 
-#if 0				//currently unused
-static void
-finalize_reduction_step (reduction_step * r)
+#if 0                           //currently unused
+static void finalize_reduction_step (reduction_step * r)
 {
   delete r;
 }
 #endif
-#if 0				//currently unused
-static int
-LObject_better_gen (const void *ap, const void *bp)
+#if 0                           //currently unused
+static int LObject_better_gen (const void *ap, const void *bp)
 {
   LObject *a = *(LObject **) ap;
@@ -695,13 +668,11 @@
 }
 #endif
-static int
-red_object_better_gen (const void *ap, const void *bp)
+static int red_object_better_gen (const void *ap, const void *bp)
 {
   return (pLmCmp (((red_object *) ap)->p, ((red_object *) bp)->p));
 }
 
-#if 0				//currently unused
-static int
-pLmCmp_func_inverted (const void *ap1, const void *ap2)
+#if 0                           //currently unused
+static int pLmCmp_func_inverted (const void *ap1, const void *ap2)
 {
   poly p1, p2;
@@ -712,19 +683,17 @@
 #endif
 
-int
-tgb_pair_better_gen2 (const void *ap, const void *bp)
+int tgb_pair_better_gen2 (const void *ap, const void *bp)
 {
   return (-tgb_pair_better_gen (ap, bp));
 }
 
-int
-kFindDivisibleByInS_easy (kStrategy strat, const red_object & obj)
+int kFindDivisibleByInS_easy (kStrategy strat, const red_object & obj)
 {
   int i;
   long not_sev = ~obj.sev;
   poly p = obj.p;
-  for (i = 0; i <= strat->sl; i++)
-  {
-    if (pLmShortDivisibleBy (strat->S[i], strat->sevS[i], p, not_sev))
+  for(i = 0; i <= strat->sl; i++)
+  {
+    if(pLmShortDivisibleBy (strat->S[i], strat->sevS[i], p, not_sev))
       return i;
   }
@@ -732,12 +701,11 @@
 }
 
-int
-kFindDivisibleByInS_easy (kStrategy strat, poly p, long sev)
+int kFindDivisibleByInS_easy (kStrategy strat, poly p, long sev)
 {
   int i;
   long not_sev = ~sev;
-  for (i = 0; i <= strat->sl; i++)
-  {
-    if (pLmShortDivisibleBy (strat->S[i], strat->sevS[i], p, not_sev))
+  for(i = 0; i <= strat->sl; i++)
+  {
+    if(pLmShortDivisibleBy (strat->S[i], strat->sevS[i], p, not_sev))
       return i;
   }
@@ -747,7 +715,7 @@
 static int
 posInPairs (sorted_pair_node ** p, int pn, sorted_pair_node * qe,
-	    slimgb_alg * c, int an = 0)
-{
-  if (pn == 0)
+            slimgb_alg * c, int an = 0)
+{
+  if(pn == 0)
     return 0;
 
@@ -757,18 +725,18 @@
   int en = length;
 
-  if (pair_better (qe, p[en], c))
+  if(pair_better (qe, p[en], c))
     return length + 1;
 
-  while (1)
+  while(1)
   {
     //if (an >= en-1)
-    if (en - 1 <= an)
-    {
-      if (pair_better (p[an], qe, c))
-	return an;
+    if(en - 1 <= an)
+    {
+      if(pair_better (p[an], qe, c))
+        return an;
       return en;
     }
     i = (an + en) / 2;
-    if (pair_better (p[i], qe, c))
+    if(pair_better (p[i], qe, c))
       en = i;
     else
@@ -777,17 +745,15 @@
 }
 
-static BOOLEAN
-ascending (int *i, int top)
-{
-  if (top < 1)
+static BOOLEAN ascending (int *i, int top)
+{
+  if(top < 1)
     return TRUE;
-  if (i[top] < i[top - 1])
+  if(i[top] < i[top - 1])
     return FALSE;
   return ascending (i, top - 1);
 }
 
-sorted_pair_node **
-spn_merge (sorted_pair_node ** p, int pn, sorted_pair_node ** q, int qn,
-	   slimgb_alg * c)
+sorted_pair_node **spn_merge (sorted_pair_node ** p, int pn,
+                              sorted_pair_node ** q, int qn, slimgb_alg * c)
 {
   int i;
@@ -807,5 +773,5 @@
 // }
   int lastpos = 0;
-  for (i = 0; i < qn; i++)
+  for(i = 0; i < qn; i++)
   {
     lastpos = posInPairs (p, pn, q[i], c, si_max (lastpos - 1, 0));
@@ -813,20 +779,20 @@
     a[i] = lastpos;
   }
-  if ((pn + qn) > c->max_pairs)
+  if((pn + qn) > c->max_pairs)
   {
     p =
       (sorted_pair_node **) omrealloc (p,
-				       2 * (pn +
-					    qn) *
-				       sizeof (sorted_pair_node *));
+                                       2 * (pn +
+                                            qn) *
+                                       sizeof (sorted_pair_node *));
     c->max_pairs = 2 * (pn + qn);
   }
-  for (i = qn - 1; i >= 0; i--)
+  for(i = qn - 1; i >= 0; i--)
   {
     size_t size;
-    if (qn - 1 > i)
+    if(qn - 1 > i)
       size = (a[i + 1] - a[i]) * sizeof (sorted_pair_node *);
     else
-      size = (pn - a[i]) * sizeof (sorted_pair_node *);	//as indices begin with 0
+      size = (pn - a[i]) * sizeof (sorted_pair_node *); //as indices begin with 0
     memmove (p + a[i] + (1 + i), p + a[i], size);
     p[a[i] + i] = q[i];
@@ -842,5 +808,5 @@
   poly p2 = c->S->m[pos2];
 
-  if (pGetComp (p1) > 0 || pGetComp (p2) > 0)
+  if(pGetComp (p1) > 0 || pGetComp (p2) > 0)
     return FALSE;
   int i = 1;
@@ -849,20 +815,20 @@
   poly gcd2 = c->gcd_of_terms[pos2];
 
-  if ((gcd1 != NULL) && (gcd2 != NULL))
-  {
-    gcd1->next = gcd2;		//may ordered incorrect
+  if((gcd1 != NULL) && (gcd2 != NULL))
+  {
+    gcd1->next = gcd2;          //may ordered incorrect
     m = gcd_of_terms (gcd1, c->r);
     gcd1->next = NULL;
   }
-  if (m == NULL)
+  if(m == NULL)
   {
     loop
     {
-      if (pGetExp (p1, i) + pGetExp (p2, i) > pGetExp (bound, i))
-	return FALSE;
-      if (i == pVariables)
-      {
-	//PrintS("trivial");
-	return TRUE;
+      if(pGetExp (p1, i) + pGetExp (p2, i) > pGetExp (bound, i))
+        return FALSE;
+      if(i == pVariables)
+      {
+        //PrintS("trivial");
+        return TRUE;
       }
       i++;
@@ -873,15 +839,15 @@
     loop
     {
-      if (pGetExp (p1, i) - pGetExp (m, i) + pGetExp (p2, i) >
-	  pGetExp (bound, i))
-      {
-	pDelete (&m);
-	return FALSE;
-      }
-      if (i == pVariables)
-      {
-	pDelete (&m);
-	//PrintS("trivial");
-	return TRUE;
+      if(pGetExp (p1, i) - pGetExp (m, i) + pGetExp (p2, i) >
+         pGetExp (bound, i))
+      {
+        pDelete (&m);
+        return FALSE;
+      }
+      if(i == pVariables)
+      {
+        pDelete (&m);
+        //PrintS("trivial");
+        return TRUE;
       }
       i++;
@@ -891,14 +857,13 @@
 
 //! returns position sets w as weight
-int
-find_best (red_object * r, int l, int u, wlen_type & w, slimgb_alg * c)
+int find_best (red_object * r, int l, int u, wlen_type & w, slimgb_alg * c)
 {
   int best = l;
   int i;
   w = r[l].guess_quality (c);
-  for (i = l + 1; i <= u; i++)
+  for(i = l + 1; i <= u; i++)
   {
     wlen_type w2 = r[i].guess_quality (c);
-    if (w2 < w)
+    if(w2 < w)
     {
       w = w2;
@@ -909,16 +874,14 @@
 }
 
-void
-red_object::canonicalize ()
+void red_object::canonicalize ()
 {
   kBucketCanonicalize (bucket);
 }
 
-BOOLEAN
-good_has_t_rep (int i, int j, slimgb_alg * c)
+BOOLEAN good_has_t_rep (int i, int j, slimgb_alg * c)
 {
   assume (i >= 0);
   assume (j >= 0);
-  if (has_t_rep (i, j, c))
+  if(has_t_rep (i, j, c))
     return TRUE;
   //poly lm=pOne();
@@ -933,7 +896,7 @@
   //p_Delete(&lm,c->r);
 
-  for (int n = 0; ((n < c->n) && (i_con[n] >= 0)); n++)
-  {
-    if (i_con[n] == j)
+  for(int n = 0; ((n < c->n) && (i_con[n] >= 0)); n++)
+  {
+    if(i_con[n] == j)
     {
       now_t_rep (i, j, c);
@@ -947,11 +910,10 @@
 }
 
-BOOLEAN
-lenS_correct (kStrategy strat)
+BOOLEAN lenS_correct (kStrategy strat)
 {
   int i;
-  for (i = 0; i <= strat->sl; i++)
-  {
-    if (strat->lenS[i] != pLength (strat->S[i]))
+  for(i = 0; i <= strat->sl; i++)
+  {
+    if(strat->lenS[i] != pLength (strat->S[i]))
       return FALSE;
   }
@@ -960,10 +922,9 @@
 
 
-static void
-cleanS (kStrategy strat, slimgb_alg * c)
+static void cleanS (kStrategy strat, slimgb_alg * c)
 {
   int i = 0;
   LObject P;
-  while (i <= strat->sl)
+  while(i <= strat->sl)
   {
     P.p = strat->S[i];
@@ -971,5 +932,5 @@
     //int dummy=strat->sl;
     //if(kFindDivisibleByInS(strat,&dummy,&P)!=i)
-    if (kFindDivisibleByInS_easy (strat, P.p, P.sev) != i)
+    if(kFindDivisibleByInS_easy (strat, P.p, P.sev) != i)
     {
       deleteInS (i, strat);
@@ -977,14 +938,14 @@
       BOOLEAN found = FALSE;
       int j;
-      for (j = 0; j < c->n; j++)
-      {
-	if (c->S->m[j] == P.p)
-	{
-	  found = TRUE;
-	  break;
-	}
-      }
-      if (!found)
-	pDelete (&P.p);
+      for(j = 0; j < c->n; j++)
+      {
+        if(c->S->m[j] == P.p)
+        {
+          found = TRUE;
+          break;
+        }
+      }
+      if(!found)
+        pDelete (&P.p);
       //remember additional reductors
     }
@@ -994,12 +955,11 @@
 }
 
-static int
-bucket_guess (kBucket * bucket)
+static int bucket_guess (kBucket * bucket)
 {
   int sum = 0;
   int i;
-  for (i = bucket->buckets_used; i >= 0; i--)
-  {
-    if (bucket->buckets[i])
+  for(i = bucket->buckets_used; i >= 0; i--)
+  {
+    if(bucket->buckets[i])
       sum += bucket->buckets_length[i];
   }
@@ -1009,5 +969,5 @@
 static int
 add_to_reductors (slimgb_alg * c, poly h, int len, int ecart,
-		  BOOLEAN simplified)
+                  BOOLEAN simplified)
 {
   //inDebug(h);
@@ -1023,10 +983,10 @@
   memset (&P, 0, sizeof (P));
   P.tailRing = c->r;
-  P.p = h;			/*p_Copy(h,c->r); */
+  P.p = h;                      /*p_Copy(h,c->r); */
   P.ecart = ecart;
   P.FDeg = pFDeg (P.p, c->r);
-  if (!(simplified))
-  {
-    if (!rField_is_Zp (c->r))
+  if(!(simplified))
+  {
+    if(!rField_is_Zp (c->r))
     {
       p_Cleardenom (P.p, c->r);
@@ -1044,5 +1004,5 @@
   c->strat->lenS[i] = len;
   assume (pLength (c->strat->S[i]) == c->strat->lenS[i]);
-  if (c->strat->lenSw != NULL)
+  if(c->strat->lenSw != NULL)
     c->strat->lenSw[i] = pq;
 
@@ -1050,29 +1010,27 @@
 }
 
-static void
-length_one_crit (slimgb_alg * c, int pos, int len)
-{
-  if (c->nc)
+static void length_one_crit (slimgb_alg * c, int pos, int len)
+{
+  if(c->nc)
     return;
-  if (len == 1)
+  if(len == 1)
   {
     int i;
-    for (i = 0; i < pos; i++)
-    {
-      if (c->lengths[i] == 1)
-	c->states[pos][i] = HASTREP;
-    }
-    for (i = pos + 1; i < c->n; i++)
-    {
-      if (c->lengths[i] == 1)
-	c->states[i][pos] = HASTREP;
-    }
-    if (!c->nc)
+    for(i = 0; i < pos; i++)
+    {
+      if(c->lengths[i] == 1)
+        c->states[pos][i] = HASTREP;
+    }
+    for(i = pos + 1; i < c->n; i++)
+    {
+      if(c->lengths[i] == 1)
+        c->states[i][pos] = HASTREP;
+    }
+    if(!c->nc)
       shorten_tails (c, c->S->m[pos]);
   }
 }
 
-static void
-move_forward_in_S (int old_pos, int new_pos, kStrategy strat)
+static void move_forward_in_S (int old_pos, int new_pos, kStrategy strat)
 {
   assume (old_pos >= new_pos);
@@ -1084,8 +1042,8 @@
   assume (length == pLength (strat->S[old_pos]));
   wlen_type length_w;
-  if (strat->lenSw != NULL)
+  if(strat->lenSw != NULL)
     length_w = strat->lenSw[old_pos];
   int i;
-  for (i = old_pos; i > new_pos; i--)
+  for(i = old_pos; i > new_pos; i--)
   {
     strat->S[i] = strat->S[i - 1];
@@ -1094,9 +1052,9 @@
     strat->S_2_R[i] = strat->S_2_R[i - 1];
   }
-  if (strat->lenS != NULL)
-    for (i = old_pos; i > new_pos; i--)
+  if(strat->lenS != NULL)
+    for(i = old_pos; i > new_pos; i--)
       strat->lenS[i] = strat->lenS[i - 1];
-  if (strat->lenSw != NULL)
-    for (i = old_pos; i > new_pos; i--)
+  if(strat->lenSw != NULL)
+    for(i = old_pos; i > new_pos; i--)
       strat->lenSw[i] = strat->lenSw[i - 1];
 
@@ -1106,11 +1064,10 @@
   strat->S_2_R[new_pos] = s_2_r;
   strat->lenS[new_pos] = length;
-  if (strat->lenSw != NULL)
+  if(strat->lenSw != NULL)
     strat->lenSw[new_pos] = length_w;
   //assume(lenS_correct(strat));
 }
 
-static void
-move_backward_in_S (int old_pos, int new_pos, kStrategy strat)
+static void move_backward_in_S (int old_pos, int new_pos, kStrategy strat)
 {
   assume (old_pos <= new_pos);
@@ -1122,8 +1079,8 @@
   assume (length == pLength (strat->S[old_pos]));
   wlen_type length_w;
-  if (strat->lenSw != NULL)
+  if(strat->lenSw != NULL)
     length_w = strat->lenSw[old_pos];
   int i;
-  for (i = old_pos; i < new_pos; i++)
+  for(i = old_pos; i < new_pos; i++)
   {
     strat->S[i] = strat->S[i + 1];
@@ -1132,9 +1089,9 @@
     strat->S_2_R[i] = strat->S_2_R[i + 1];
   }
-  if (strat->lenS != NULL)
-    for (i = old_pos; i < new_pos; i++)
+  if(strat->lenS != NULL)
+    for(i = old_pos; i < new_pos; i++)
       strat->lenS[i] = strat->lenS[i + 1];
-  if (strat->lenSw != NULL)
-    for (i = old_pos; i < new_pos; i++)
+  if(strat->lenSw != NULL)
+    for(i = old_pos; i < new_pos; i++)
       strat->lenSw[i] = strat->lenSw[i + 1];
 
@@ -1144,11 +1101,10 @@
   strat->S_2_R[new_pos] = s_2_r;
   strat->lenS[new_pos] = length;
-  if (strat->lenSw != NULL)
+  if(strat->lenSw != NULL)
     strat->lenSw[new_pos] = length_w;
   //assume(lenS_correct(strat));
 }
 
-static int *
-make_connections (int from, int to, poly bound, slimgb_alg * c)
+static int *make_connections (int from, int to, poly bound, slimgb_alg * c)
 {
   ideal I = c->S;
@@ -1166,33 +1122,33 @@
   int pos;
 
-  while (TRUE)
-  {
-    if ((con_checked < connected_length) && (not_yet_found > 0))
+  while(TRUE)
+  {
+    if((con_checked < connected_length) && (not_yet_found > 0))
     {
       pos = connected[con_checked];
-      for (int i = 0; i < cans_length; i++)
-      {
-	if (cans[i] < 0)
-	  continue;
-	//FIXME: triv. syz. does not hold on noncommutative, check it for modules
-	if ((has_t_rep (pos, cans[i], c))
-	    || ((!rIsPluralRing (c->r))
-		&& (trivial_syzygie (pos, cans[i], bound, c))))
-	{
-	  connected[connected_length] = cans[i];
-	  connected_length++;
-	  cans[i] = -1;
-	  --not_yet_found;
-
-	  if (connected[connected_length - 1] == to)
-	  {
-	    if (connected_length < c->n)
-	    {
-	      connected[connected_length] = -1;
-	    }
-	    omfree (cans);
-	    return connected;
-	  }
-	}
+      for(int i = 0; i < cans_length; i++)
+      {
+        if(cans[i] < 0)
+          continue;
+        //FIXME: triv. syz. does not hold on noncommutative, check it for modules
+        if((has_t_rep (pos, cans[i], c))
+           || ((!rIsPluralRing (c->r))
+               && (trivial_syzygie (pos, cans[i], bound, c))))
+        {
+          connected[connected_length] = cans[i];
+          connected_length++;
+          cans[i] = -1;
+          --not_yet_found;
+
+          if(connected[connected_length - 1] == to)
+          {
+            if(connected_length < c->n)
+            {
+              connected[connected_length] = -1;
+            }
+            omfree (cans);
+            return connected;
+          }
+        }
       }
       con_checked++;
@@ -1200,50 +1156,50 @@
     else
     {
-      for (last_cans_pos++; last_cans_pos <= c->n; last_cans_pos++)
-      {
-	if (last_cans_pos == c->n)
-	{
-	  if (connected_length < c->n)
-	  {
-	    connected[connected_length] = -1;
-	  }
-	  omfree (cans);
-	  return connected;
-	}
-	if ((last_cans_pos == from) || (last_cans_pos == to))
-	  continue;
-	if (p_LmShortDivisibleBy
-	    (I->m[last_cans_pos], c->short_Exps[last_cans_pos], bound,
-	     neg_bounds_short, c->r))
-	{
-	  cans[cans_length] = last_cans_pos;
-	  cans_length++;
-	  break;
-	}
+      for(last_cans_pos++; last_cans_pos <= c->n; last_cans_pos++)
+      {
+        if(last_cans_pos == c->n)
+        {
+          if(connected_length < c->n)
+          {
+            connected[connected_length] = -1;
+          }
+          omfree (cans);
+          return connected;
+        }
+        if((last_cans_pos == from) || (last_cans_pos == to))
+          continue;
+        if(p_LmShortDivisibleBy
+           (I->m[last_cans_pos], c->short_Exps[last_cans_pos], bound,
+            neg_bounds_short, c->r))
+        {
+          cans[cans_length] = last_cans_pos;
+          cans_length++;
+          break;
+        }
       }
       not_yet_found++;
-      for (int i = 0; i < con_checked; i++)
-      {
-	if (has_t_rep (connected[i], last_cans_pos, c))
-	{
-	  connected[connected_length] = last_cans_pos;
-	  connected_length++;
-	  cans[cans_length - 1] = -1;
-	  --not_yet_found;
-	  if (connected[connected_length - 1] == to)
-	  {
-	    if (connected_length < c->n)
-	    {
-	      connected[connected_length] = -1;
-	    }
-	    omfree (cans);
-	    return connected;
-	  }
-	  break;
-	}
-      }
-    }
-  }
-  if (connected_length < c->n)
+      for(int i = 0; i < con_checked; i++)
+      {
+        if(has_t_rep (connected[i], last_cans_pos, c))
+        {
+          connected[connected_length] = last_cans_pos;
+          connected_length++;
+          cans[cans_length - 1] = -1;
+          --not_yet_found;
+          if(connected[connected_length - 1] == to)
+          {
+            if(connected_length < c->n)
+            {
+              connected[connected_length] = -1;
+            }
+            omfree (cans);
+            return connected;
+          }
+          break;
+        }
+      }
+    }
+  }
+  if(connected_length < c->n)
   {
     connected[connected_length] = -1;
@@ -1254,6 +1210,5 @@
 
 #ifdef HEAD_BIN
-static inline poly
-p_MoveHead (poly p, omBin b)
+static inline poly p_MoveHead (poly p, omBin b)
 {
   poly np;
@@ -1265,8 +1220,7 @@
 #endif
 
-static void
-replace_pair (int &i, int &j, slimgb_alg * c)
-{
-  if (i < 0)
+static void replace_pair (int &i, int &j, slimgb_alg * c)
+{
+  if(i < 0)
     return;
   c->soon_free = NULL;
@@ -1279,7 +1233,7 @@
   int *i_con = make_connections (i, j, lm, c);
 
-  for (int n = 0; ((n < c->n) && (i_con[n] >= 0)); n++)
-  {
-    if (i_con[n] == j)
+  for(int n = 0; ((n < c->n) && (i_con[n] >= 0)); n++)
+  {
+    if(i_con[n] == j)
     {
       now_t_rep (i, j, c);
@@ -1306,5 +1260,5 @@
 
   p_Delete (&lm, c->r);
-  if (c->T_deg_full)		//Sugar
+  if(c->T_deg_full)             //Sugar
   {
     int t_i = c->T_deg_full[i] - c->T_deg[i];
